Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.emf.ecp.view.model.common
Class AbstractGridCell<RENDERER extends AbstractRenderer<?>>

    java.lang.Object
      org.eclipse.emf.ecp.view.model.common.AbstractGridCell<RENDERER>

Type Parameters:
  `RENDERER` - the renderer type (e.g. SWT or JavaFX renderer)

Direct Known Subclasses:
  SWTGridCell

    public abstract class AbstractGridCell<RENDERER extends AbstractRenderer<?>>

extends Object

A `AbstractGridCell` has a row, a column and a renderer it is rendered by a renderer.

Author:
  Eugen Neufeld, Lucas Köhler

Constructor Summary
`AbstractGridCell(int row, int column, RENDERER renderer)` Default constructor to create a grid cell.

Method Summary
`boolean` | `equals(Object obj)`
`int` | `getColumn()` The id of the column.
`int` | `getHorizontalSpan()` Return the horizontalSpan of this control.
`RENDERER` | `getRenderer()`
`int` | `getRow()` The id of the row.
`int` | `hashCode()`
`boolean` | `isHorizontalFill()` Returns whether the control should fill the available horizontal space.
`boolean` | `isHorizontalGrab()` Returns whether this cell will take all available horizontal space.
`boolean` | `isVerticalFill()` Returns whether the control should fill the available vertical space.
`boolean` | `isVerticalGrab()` Returns whether this cell will take all available vertical space.
`void` | `setHorizontalFill(boolean horizontalFill)` True if the available horizontal space should be filled.
`void` | `setHorizontalGrab(boolean horizontalGrab)` True if all available horizontal space should be taken.
`void` | `setHorizontalSpan(int horizontalSpan)` Set the horizontal span of this cell.
`void` | `setRenderer(RENDERER renderer)`
`void` | `setVerticalFill(boolean verticalFill)` True if the available vertical space should be filled.
`void` | `setVerticalGrab(boolean verticalGrab)` True if all available vertical space should be taken.

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractGridCell

    public AbstractGridCell(int row,
                            int column,
                            RENDERER renderer)

  Default constructor to create a grid cell.

  Parameters:
    `row` - the row of the cell
    `column` - the column of the cell
    `renderer` - the `AbstractRenderer` that renderes the cell

Method Detail

### getRow

    public int getRow()

  The id of the row.

  Returns:
    the row

### getColumn

    public int getColumn()

  The id of the column.

  Returns:
    the column

### getRenderer

    public RENDERER getRenderer()

  Returns:
    the renderer

### setRenderer

    public void setRenderer(RENDERER renderer)

  Parameters:
    `renderer` - the renderer to set

### getHorizontalSpan

    public int getHorizontalSpan()

  Return the horizontalSpan of this control. Default is 1.

  Returns:
    the horizontalSpan

### setHorizontalSpan

    public void setHorizontalSpan(int horizontalSpan)

  Set the horizontal span of this cell.

  Parameters:
    `horizontalSpan` - the horizontalSpan to set

### isVerticalGrab

    public boolean isVerticalGrab()

  Returns whether this cell will take all available vertical space.

  Returns:
    the verticalGrab

### setVerticalGrab

    public void setVerticalGrab(boolean verticalGrab)

  True if all available vertical space should be taken.

  Parameters:
    `verticalGrab` - the verticalGrab to set

### isVerticalFill

    public boolean isVerticalFill()

  Returns whether the control should fill the available vertical space.

  Returns:
    the verticalFill

### setVerticalFill

    public void setVerticalFill(boolean verticalFill)

  True if the available vertical space should be filled.

  Parameters:
    `verticalFill` - the verticalFill to set

### isHorizontalGrab

    public boolean isHorizontalGrab()

  Returns whether this cell will take all available horizontal space.

  Returns:
    the horizontalGrab

### setHorizontalGrab

    public void setHorizontalGrab(boolean horizontalGrab)

  True if all available horizontal space should be taken.

  Parameters:
    `horizontalGrab` - the horizontalGrab to set

### isHorizontalFill

    public boolean isHorizontalFill()

  Returns whether the control should fill the available horizontal space.

  Returns:
    the horizontalFill

### setHorizontalFill

    public void setHorizontalFill(boolean horizontalFill)

  True if the available horizontal space should be filled.

  Parameters:
    `horizontalFill` - the horizontalFill to set

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`
  See Also:
    `Object.hashCode()`

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `Object`
  See Also:
    `Object.equals(java.lang.Object)`

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015. All Rights Reserved.